Bug 1936788 - RBD RWX PVC creation with Filesystem volume mode selection is creating RWX PVC with Block volume mode instead of disabling Filesystem volume mode selection
Summary: RBD RWX PVC creation with Filesystem volume mode selection is creating RWX P...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: gowtham
QA Contact: Jilju Joy
URL:
Whiteboard:
Depends On:
Blocks: 1939021
TreeView+ depends on / blocked
 
Reported: 2021-03-09 07:20 UTC by Jilju Joy
Modified: 2021-07-27 22:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1939021 (view as bug list)
Environment:
Last Closed: 2021-07-27 22:51:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of Create Persistent Volume Claim page which shows Filesystem volume mode selection while creating RBD RWX PVC (117.86 KB, image/png)
2021-03-09 07:20 UTC, Jilju Joy
no flags Details
Screenshot-Volume mode default to Block if RBD StorageClass and RWX Access mode is selected (131.37 KB, image/png)
2021-06-15 06:21 UTC, Jilju Joy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8380 0 None open Bug 1936788: Disabling Volume Mode "Filesystem" option if RBD storage class and RWX Access Mode is selected 2021-03-16 10:45:04 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:52:20 UTC

Description Jilju Joy 2021-03-09 07:20:00 UTC
Created attachment 1761930 [details]
Screenshot of Create Persistent Volume Claim page which shows Filesystem volume mode selection while creating RBD RWX PVC

Description of problem:

If Ceph RBD storage class and RWX access mode is selected, the option to select Volume mode is still enabled. So Filesystem volume mode can be selected for RDB RWX PVC which is not supported. Clicking on create button will not throw any error but the volume mode of the created PVC will be Block.


Version-Release number of selected component (if applicable):
4.7.0-0.nightly-2021-03-06-183610

How reproducible:
Always

Steps to Reproduce:
1. Go to Storage --> PersistentVolumeClaims and click on "Create PersistentVolumeClaim" button.
2. Select project 
3. Select RBD Storage Class and fill Persistent Volume Claim Name.
4. Select Access Mode "Shared Access (RWX)".
5. Give the required PVC Size.
6. Select Volume Mode "Filesystem"
7. Click on "Create" button


Actual results:
PVC will be created with volume mode as Block.


Expected results:
Selection of Volume Mode "Filesystem" should be disabled if RBD storage class and RWX Access Mode is selected. 

Additional info:

Comment 2 Jilju Joy 2021-06-15 06:21:17 UTC
Created attachment 1791143 [details]
Screenshot-Volume mode default to Block if RBD StorageClass and RWX Access mode is selected

Volume mode selection is disabled if RBD StorageClass and RWX Access mode is selected. The volume mode Block will be enabled by default. Tested this using 'ocs-storagecluster-ceph-rbd' and 'ocs-storagecluster-ceph-rbd-thick'  storage classes.

Verified in version:
OCP 4.8.0-0.nightly-2021-06-13-101614
ocs-operator.v4.8.0-416.ci

Comment 5 errata-xmlrpc 2021-07-27 22:51:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.